%global glib2_version 2.66.0
%global gobject_introspection_version 1.66.0
%global mozjs78_version 78.15.0
 
Name:           gjs
Version:        1.70.2
Release:        1%{?dist}
Summary:        Javascript Bindings for GNOME
 
# The following files contain code from Mozilla which
# is triple licensed under MPL1.1/LGPLv2+/GPLv2+:
# The console module (modules/console.c)
# Stack printer (gjs/stack.c)
License:        MIT and (MPLv1.1 or GPLv2+ or LGPLv2+)
URL:            https://wiki.gnome.org/Projects/Gjs
Source0:        https://download.gnome.org/sources/%{name}/1.70/%{name}-%{version}.tar.gz
 
BuildRequires:  gcc-c++
BuildRequires:  meson
BuildRequires:  gettext
BuildRequires:  readline-devel
BuildRequires:  pkgconfig(cairo-gobject)
BuildRequires:  pkgconfig(gio-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= %{gobject_introspection_version}
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(mozjs-78) >= %{mozjs78_version}
BuildRequires:  pkgconfig(sysprof-capture-4)
# For GTK+ 3 tests
BuildRequires:  gtk3-devel
# For dbus tests
BuildRequires:  /usr/bin/dbus-run-session
# xvfb for test suite
BuildRequires:  xorg-x11-server-Xvfb
 
Requires: glib2%{?_isa} >= %{glib2_version}
Requires: gobject-introspection%{?_isa} >= %{gobject_introspection_version}
Requires: mozjs78%{?_isa} >= %{mozjs78_version}
 
%description
Gjs allows using GNOME libraries from Javascript. It's based on the
Spidermonkey Javascript engine from Mozilla and the GObject introspection
framework.
 
%package devel
Summary: Development package for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
 
%description devel
Files for development with %{name}.
 
%package tests
Summary: Tests for the gjs package
Requires: %{name}%{?_isa} = %{version}-%{release}
 
%description tests
The gjs-tests package contains tests that can be used to verify
the functionality of the installed gjs package.
 
%prep
%autosetup -p1
 
%build
%meson
%meson_build
%install
%meson_install
%check
%{shrink:xvfb-run -s "-screen 0 1600x1200x24" %meson_test --timeout-multiplier=5}
 
%files
%license COPYING
%doc NEWS README.md
%{_bindir}/gjs
%{_bindir}/gjs-console
%{_libdir}/gjs/
%{_libdir}/libgjs.so.0*
 
%files devel
%doc examples/*
%{_includedir}/gjs-1.0
%{_libdir}/pkgconfig/gjs-1.0.pc
%{_libdir}/libgjs.so
%dir %{_datadir}/gjs-1.0
%{_datadir}/gjs-1.0/lsan/
%{_datadir}/gjs-1.0/valgrind/
 
%files tests
%{_libexecdir}/installed-tests/
%{_datadir}/glib-2.0/schemas/org.gnome.GjsTest.gschema.xml
%{_datadir}/installed-tests/
 
%changelog
* Tue May 10 2022 gaochang <taifu.gc@alibaba-inc.com> - 1.70.2-1
- Init from upstream version 1.70.2

